Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.i18n
Class AnnotationsMessages

    java.lang.Object
      org.mule.config.i18n.MessageFactory
          org.mule.config.i18n.AnnotationsMessages

    public class AnnotationsMessages

extends MessageFactory

Internationalized messages specific to the annotations module

Field Summary

Fields inherited from class org.mule.config.i18n.MessageFactory
`logger`

Constructor Summary
`AnnotationsMessages()`

Method Summary
`static Message` | `failedToInvokeReplyMethod(String method)`
`static Message` | `lookupFailedSeePreviousException(Object object)`
`static Message` | `lookupNotFoundInRegistry(Class type, String name, Class object)`
`static Message` | `noParserFoundForAnnotation(Annotation annotation)`
`static Message` | `noPropertyConverterForType(Class type)`
`static Message` | `serviceDoesNotHaveAnnotation(Class serviceClass, String annotationName)`
`static Message` | `serviceHasNoEntrypoint(Class serviceClass)`
`static Message` | `transformerMethodNotValid(Method method)`

Methods inherited from class org.mule.config.i18n.MessageFactory
`createMessage, createMessage, createMessage, createMessage, createMessage, createStaticMessage, getBundlePath, getClassLoader, getString, getString, getString, getString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationsMessages

    public AnnotationsMessages()

Method Detail

### serviceDoesNotHaveAnnotation

    public static Message serviceDoesNotHaveAnnotation(Class serviceClass,
                                                       String annotationName)

### serviceHasNoEntrypoint

    public static Message serviceHasNoEntrypoint(Class serviceClass)

### noParserFoundForAnnotation

    public static Message noParserFoundForAnnotation(Annotation annotation)

### noPropertyConverterForType

    public static Message noPropertyConverterForType(Class type)

### failedToInvokeReplyMethod

    public static Message failedToInvokeReplyMethod(String method)

### transformerMethodNotValid

    public static Message transformerMethodNotValid(Method method)

### lookupNotFoundInRegistry

    public static Message lookupNotFoundInRegistry(Class type,
                                                   String name,
                                                   Class object)

### lookupFailedSeePreviousException

    public static Message lookupFailedSeePreviousException(Object object)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.